GDB (xrefs)

Public Attributes | List of all members
gdbarch_data Struct Reference

## Public Attributes
unsigned | index
int | init_p
gdbarch_data_pre_init_ftype * | pre_init
gdbarch_data_post_init_ftype * | post_init

## Detailed Description

Definition at line 5084 of file gdbarch.c.

## Member Data Documentation

## ◆ index

unsigned gdbarch_data::index

Definition at line 5086 of file gdbarch.c.

Referenced by deprecated_set_gdbarch_data(), and gdbarch_data().

## ◆ init_p

int gdbarch_data::init_p

Definition at line 5087 of file gdbarch.c.

Referenced by gdbarch_data().

## ◆ post_init

gdbarch_data_post_init_ftype* gdbarch_data::post_init

Definition at line 5089 of file gdbarch.c.

Referenced by gdbarch_data(), and gdbarch_data_register_post_init().

## ◆ pre_init

gdbarch_data_pre_init_ftype* gdbarch_data::pre_init

Definition at line 5088 of file gdbarch.c.

Referenced by deprecated_set_gdbarch_data(), gdbarch_data(), and gdbarch_data_register_pre_init().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbarch.c